Subject: RE: [SIP] ReTransmission interval Question - Reliable Provisonal Responses

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 12 Jun 2001 17:23:25 -0400

(moved to new sip list)

> -----Original Message-----
> From: Sudipto Mukherjee [mailto:[email-masked]]
> Sent: Friday, May 25, 2001 5:19 PM
> To: [email-masked]
> Subject: [SIP] ReTransmission interval Question - Reliable Provisonal
> Responses
> 
> 
> Hi,
> 
> In section 7, Retransmit Interval Computation of Reliability 
> of Provisional  Responses in SIP draft ( 
> http://www.ietf.org/internet-drafts/draft-ietf-sip-100rel-03.txt),
> 
> It is described that non-100 provisionals be retransmitted with
> exponential backoff with a max retransmit interval of 32 secs. 
> There is reference to behaviour of INVITE responses as described
> in RFC2543.
> 
> While the BIS-02 draft for SIP describes that retransmit intervals
> for INVITE final responses starts at T1 (500msecs) and 
> caps at T2 (4 secs) interval.
> 
> Reliable Provisional Responses draft contradicts the
> BIS-02 requirements.
> 
> Will the Reliability of Provisional Responses draft be updated
> to match up with requirements of the BIS-02 or BIS-03 drafts ?

I believe I have answered this question previously on this list or
sip-implementors. The answer is no, it is actually not needed for the
reliable provisional response to copy the non-INVITE and INVITE-response
behavior. As I explained, thats because this message is effectively part of
a three way handshake, which is 1xx/PRACK/200-PRACK. Thus, it is more like
INVITE, which is also the first request in a three-way handshake. So, its
relaibility rules follow INVITE.

-Jonathan R.

---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/sip